Create a pet
Create a pet record. The pet has no fingerprints yet: add them with `addFingerprints`.
Authorization
VendorApiKeyAuth x-petnow-api-key<token>
An API key from the Petify Console. A server key can call every route. A client (app) key can only create capture sessions and upload images.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.petify.petnow.io/v2/pets" \ -H "Content-Type: application/json" \ -d '{ "species": "DOG" }'{
"success": true,
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
}{
"errors": [
{
"code": "PETNOWB2B10001"
}
]
}{
"errors": [
{
"code": "PETNOWB2B10000"
}
]
}{
"errors": [
{
"code": "PETNOWB2B10005"
}
]
}{
"errors": [
{
"code": "PETNOWB2B10010"
}
]
}